﻿Imports Wiker.WIDatabase
Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Str As String
        Dim DBInfo As CDatabaseInfo

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Table.Exists([tableName]) returns a bool based on the existance of the named table
        '            in relation to the connected DB


        If WIDB.Table.Exists("tblAddress") Then
            Str = String.Format("The table 'tblAddress' in database '{0}' exists.", DBInfo.DBName)
        Else
            Str = String.Format("The table 'tblAddress' in database '{0}' DOES NOT exist.", DBInfo.DBName)
        End If

        Console.WriteLine(Str)

        ' Good practice is to close the DB when finished 

        WIDB.Close()

    End Sub

End Module
